Get trade Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.lumetrade.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lumetrade API MCP server": {
    "url": "https://docs.lumetrade.com/mcp"
  }
}

Close
GET /api/v1/trades/{transactionId}

Returns a single trade belonging to the authenticated API key owner.

Path parameters

  • transactionId string Required

    Trade transaction id returned by the trade list endpoint.

Responses

  • 200 application/json

    Trade returned successfully

    Hide response attributes Show response attributes object
    • fromCurrency string

      Currency sold/sent.

    • toCurrency string

      Currency bought/received.

    • fromAmount number

      Amount sold/sent.

    • toAmount number

      Amount bought/received.

    • rate number

      Executed trade rate.

    • isRateInverted boolean

      Whether the displayed rate is inverted.

    • isRfq boolean

      Whether this trade was created from RFQ.

    • status string

      Trade status.

      Values are PENDING, COMPLETED, CANCELLED, or REVERSED.

    • transactionId string

      Transaction id for trade lookups.

    • createdAt string(date-time)

      Trade creation timestamp.

    • completedAt string(date-time)

      Completion timestamp.

    • fills array[object]

      Trade fill returned by the API.

      Hide fills attributes Show fills attributes object

      Trade fill returned by the API.

      • fromCurrency string

        Currency sent for this fill.

      • fromCurrencyAmount number

        Amount sent for this fill.

      • toCurrency string

        Currency received for this fill.

      • toCurrencyAmount number

        Amount received for this fill.

      • status string

        Fill status.

        Values are COMPLETED or REVERSED.

      • transactionId string

        Transaction id for this fill.

      • modifiedAt string(date-time)

        Last modified timestamp.

      • createdAt string(date-time)

        Fill creation timestamp.

  • 404 application/json

    Trade was not found for the authenticated user

    Hide response attributes Show response attributes object
    • fromCurrency string

      Currency sold/sent.

    • toCurrency string

      Currency bought/received.

    • fromAmount number

      Amount sold/sent.

    • toAmount number

      Amount bought/received.

    • rate number

      Executed trade rate.

    • isRateInverted boolean

      Whether the displayed rate is inverted.

    • isRfq boolean

      Whether this trade was created from RFQ.

    • status string

      Trade status.

      Values are PENDING, COMPLETED, CANCELLED, or REVERSED.

    • transactionId string

      Transaction id for trade lookups.

    • createdAt string(date-time)

      Trade creation timestamp.

    • completedAt string(date-time)

      Completion timestamp.

    • fills array[object]

      Trade fill returned by the API.

      Hide fills attributes Show fills attributes object

      Trade fill returned by the API.

      • fromCurrency string

        Currency sent for this fill.

      • fromCurrencyAmount number

        Amount sent for this fill.

      • toCurrency string

        Currency received for this fill.

      • toCurrencyAmount number

        Amount received for this fill.

      • status string

        Fill status.

        Values are COMPLETED or REVERSED.

      • transactionId string

        Transaction id for this fill.

      • modifiedAt string(date-time)

        Last modified timestamp.

      • createdAt string(date-time)

        Fill creation timestamp.

GET /api/v1/trades/{transactionId}
curl \
 --request GET 'https://api.lumetrade.com/api/v1/trades/TID4J7K2N' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-API-SECRET: $API_KEY"
Response examples (200)
{
  "fromCurrency": "USDT",
  "toCurrency": "ZAR",
  "fromAmount": 100,
  "toAmount": 1840,
  "rate": 18.4,
  "isRateInverted": false,
  "isRfq": true,
  "status": "COMPLETED",
  "transactionId": "trd_4J7K2N",
  "createdAt": "2026-05-11T10:15:30Z",
  "completedAt": "2026-05-11T10:15:35",
  "fills": [
    {
      "fromCurrency": "USDT",
      "fromCurrencyAmount": 100,
      "toCurrency": "ZAR",
      "toCurrencyAmount": 1840,
      "status": "COMPLETED",
      "transactionId": "fil_2N8K4Q",
      "modifiedAt": "2026-05-11T10:15:35Z",
      "createdAt": "2026-05-11T10:15:30Z"
    }
  ]
}
Response examples (404)
{
  "fromCurrency": "USDT",
  "toCurrency": "ZAR",
  "fromAmount": 100,
  "toAmount": 1840,
  "rate": 18.4,
  "isRateInverted": false,
  "isRfq": true,
  "status": "COMPLETED",
  "transactionId": "trd_4J7K2N",
  "createdAt": "2026-05-11T10:15:30Z",
  "completedAt": "2026-05-11T10:15:35",
  "fills": [
    {
      "fromCurrency": "USDT",
      "fromCurrencyAmount": 100,
      "toCurrency": "ZAR",
      "toCurrencyAmount": 1840,
      "status": "COMPLETED",
      "transactionId": "fil_2N8K4Q",
      "modifiedAt": "2026-05-11T10:15:35Z",
      "createdAt": "2026-05-11T10:15:30Z"
    }
  ]
}